import request from "@/utils/request";

// 查询告警工单列表
export function listOrder(query) {
  return request({
    url: "/maintenance/order/list",
    method: "get",
    params: query,
  });
}

// 查询告警工单详细
export function getOrder(orderId) {
  return request({
    url: "/maintenance/order/" + orderId,
    method: "get",
  });
}

// 新增告警工单
export function addOrder(data) {
  return request({
    url: "/maintenance/order",
    method: "post",
    data: data,
  });
}

// 修改告警工单
export function updateOrder(data) {
  return request({
    url: "/maintenance/order",
    method: "put",
    data: data,
  });
}

// 删除告警工单
export function delOrder(orderId) {
  return request({
    url: "/maintenance/order/" + orderId,
    method: "delete",
  });
}

export function publishOrder(orderIds) {
  return request({
    url: `/maintenance/order/publish/${orderIds}`,
    method: "put",
  });
}

/*审核工单*/
export function commitExamine(data) {
  return request({
    url: `/maintenance/order/commitExamine`,
    method: "put",
    data,
  });
}
