import request from "@/utils/request";

// 查询大区列表
export function listRegion(query) {
  return request({
    url: "/maintenance/region/list",
    method: "get",
    params: query,
  });
}

// 查询大区详细
export function getRegion(regionId) {
  return request({
    url: "/maintenance/region/" + regionId,
    method: "get",
  });
}

// 新增大区
export function addRegion(data) {
  return request({
    url: "/maintenance/region",
    method: "post",
    data: data,
  });
}

// 修改大区
export function updateRegion(data) {
  return request({
    url: "/maintenance/region",
    method: "put",
    data: data,
  });
}

// 删除大区
export function delRegion(regionId) {
  return request({
    url: "/maintenance/region/" + regionId,
    method: "delete",
  });
}

// 绑定省份
export function bindProvince(data) {
  return request({
    url: "/maintenance/region/bindProvince",
    method: "put",
    data,
  });
}

/*取消绑定省份*/
export function delBindProvince(regionId, provinceCode) {
  return request({
    url: `/maintenance/region/delProvince/${regionId}/${provinceCode}`,
    method: "delete",
  });
}

// 获取已绑定省份
export function getProvincesByRegionId(regionId) {
  return request({
    url: `/maintenance/region/getProvinces/${regionId}`,
    method: "get",
  });
}

// 获取已绑定省份
export function getBigRegionTree() {
  return request({
    url: `/maintenance/region/getBigRegionTree`,
    method: "get",
  });
}
