import request from "@/utils/request";

// 查询运维工人列表
export function listUser(query) {
  return request({
    url: "/maintenance/user/list",
    method: "get",
    params: query,
  });
}

// 查询运维工人详细
export function getUser(userId) {
  return request({
    url: "/maintenance/user/" + userId,
    method: "get",
  });
}

// 新增运维工人
export function addUser(data) {
  return request({
    url: "/maintenance/user",
    method: "post",
    data: data,
  });
}

// 修改运维工人
export function updateUser(data) {
  return request({
    url: "/maintenance/user",
    method: "put",
    data: data,
  });
}

// 删除运维工人
export function delUser(userId) {
  return request({
    url: "/maintenance/user/" + userId,
    method: "delete",
  });
}

// 用户密码重置
export function resetUserPwd(userId, password) {
  const data = {
    userId,
    password,
  };
  return request({
    url: "/maintenance/user/resetPwd",
    method: "put",
    data: data,
  });
}
